package com.ywt.outpatient.domain.models.enums;

public enum TransferStatusEnum {

    /**
     * 转诊业务状态（位标识：1-无法安排床位，2-已安排床位，4-已通知用户，8-选择救护车，16-用户已确认，32-用户已评价,64-已取消）
     */

    Refuse("无法安排床位", 1),
    Accept("已安排床位", 2),
    InformPatient("已通知用户",4),
    SelectAmbulance("选择救护车",8),
    PatientAffirm("用户已确认",16),
    PatientEvaluate("用户已评价",32),
    CancelOrder("已取消",64);

    private final String displayName;

    private final int value;

    TransferStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


}
